CLAMNETWORK2CODE.PY(1)

NAME
clamnetwork2code - Generates C++ to build a CLAM network

SYNOPSIS
clamnetwork2code networkFile [classNameSuffix]

DESCRIPTION
This script takes a CLAM network xml file and generates C++ code to build such a network. The resulting network should be equivalent to load the xml with CLAM storage methods. The generated code defines a class named CLAM::NetworkDefinition_<suffix> where suffix is either the second parameter classNameSuffix or the basename of the networkfile if the suffix is not provided. Such class has a method called setUp that fills a network with the proper processings, description, connections and so on.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--test
    Runs script tests

Bear in mind the following limitations: - Text items are not implemented - Just configurations with simple objects are supported (no subelements, no attributes). - Processing names may colide when having non alpha numeric chars in the same positions. - Spaces are stripped by sax (there might be a problem when parsing xmlentities surrounded by spaces).

AUTHOR
Written by Angelo Scorza and David Garcia Garzon.

COPYRIGHT
Copyright © 2010, Fundacio Barcelona Media.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Licence GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl2.html>